質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
87.20%
Ruby on Rails 5

Ruby on Rails 5は、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

解決済

Rails4から5系にアップデートする際にエラーが発生したGemをアップデートしたい

abab7200
abab7200

総合スコア0

Ruby on Rails 5

Ruby on Rails 5は、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

1回答

0評価

0クリップ

18閲覧

投稿2018/09/26 14:48

編集2022/01/12 10:58

表題の通りrails4系からrails5系にアップデートしようとしています。
その際にいくつかのgemでアップデートエラーとなります。

エラーが発生しているgemをアップデートしたいのですが、エラーが発生したgemのuptdate手順がわからないため
どなたかご教授いただければと存じます。

blog git:(rails-Versionup) ✗ bundle update Fetching gem metadata from https://rubygems.org/.......... Fetching gem metadata from https://rubygems.org/. Resolving dependencies.............. Bundler could not find compatible versions for gem "actionpack": In Gemfile: gon was resolved to 6.2.1, which depends on actionpack (>= 3.0) rails (= 5.1.5) was resolved to 5.1.5, which depends on actionpack (= 5.1.5) simple_form was resolved to 4.0.1, which depends on actionpack (>= 5.0) Bundler could not find compatible versions for gem "activemodel": In Gemfile: rails (= 5.1.5) was resolved to 5.1.5, which depends on activemodel (= 5.1.5) web-console (~> 2.0) was resolved to 2.0.0, which depends on activemodel (~> 4.0) Bundler could not find compatible versions for gem "activerecord": In Gemfile: rails (= 5.1.5) was resolved to 5.1.5, which depends on activerecord (= 5.1.5) ransack was resolved to 2.0.1, which depends on activerecord (>= 5.0)

良い質問の評価を上げる

以下のような質問は評価を上げましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

  • プログラミングに関係のない質問
  • やってほしいことだけを記載した丸投げの質問
  • 問題・課題が含まれていない質問
  • 意図的に内容が抹消された質問
  • 過去に投稿した質問と同じ内容の質問
  • 広告と受け取られるような投稿

評価を下げると、トップページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

nocomment
nocomment

2018/09/26 15:02

頻繁にアップグレードすると勘所が得られるのですが、言語化しずらいです。ケースバイケースなので。Gemfile も公開すると回答者も試せるので、差し支えなければ Gemfile の公開を。
abab7200
abab7200

2018/09/27 00:25

ありがとうございます。 gemの内容を追記しました

まだ回答がついていません

会員登録して回答してみよう

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
87.20%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Ruby on Rails 5

Ruby on Rails 5は、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。